Page MenuHomePhabricator

Add function for list=watchlistraw
Closed, ResolvedPublic

Description

Didn't see a function which retrieves a user's watchlist (Site.watchlist_revs fetches changes on the watchlist)

This isn't as easy as it looks since the elements are returned directly under 'watchlistraw' and not 'query' like every other API module...


Version: core-(2.0)
Severity: enhancement

Details

Reference
bz57995

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:18 AM
bzimport added a project: Pywikibot-General.
bzimport set Reference to bz57995.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Dec 4 2013, 7:01 PM
Xqt added a comment.Dec 5 2013, 8:03 AM

There is watchlist.py in compat.

Sorry, I meant for core.

Change 100363 had a related patch set uploaded by Xqt:
Port watchlist.py to core

https://gerrit.wikimedia.org/r/100363

Change 100363 had a related patch set uploaded by Ricordisamoa:
Port watchlist.py to core

https://gerrit.wikimedia.org/r/100363

Change 100363 merged by jenkins-bot:
Port watchlist.py to core

https://gerrit.wikimedia.org/r/100363

jayvdb added a comment.Aug 1 2014, 5:12 AM

The patch doesnt provide what this bug is requesting; further integration needed in bug 68988.

Change 215902 had a related patch set uploaded (by Ladsgroup):
Move watchlist functions to Site object from scripts/watchlist.py

https://gerrit.wikimedia.org/r/215902

Ladsgroup set Security to None.
XZise assigned this task to Ladsgroup.Jul 28 2015, 10:01 AM
XZise added a subscriber: XZise.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 10:01 AM

Change 215902 merged by jenkins-bot:
Move watchlist functions to Site object from scripts/watchlist.py

https://gerrit.wikimedia.org/r/215902

Ladsgroup closed this task as Resolved.Jul 28 2015, 11:54 AM